List Conversations
Returns a paginated list of conversations.
Authorization
bearerAuth In: header
Query Parameters
Unique identifier for the resource.
uuidFilters by any of the supplied id values.
items <= 10Filters resources by inbox.
uuidFilters by any of the supplied inbox values.
items <= 10Filters resources by channel.
uuidFilters by any of the supplied channel values.
items <= 10Filters resources by contact.
uuidUnique identifier of the related contact external.
Filters resources by tag.
uuidIdentifier assigned by an external system.
Filters by any of the supplied external id values.
items <= 10Filters resources by channel type.
Filters by any of the supplied channel type values.
Current status of the resource.
Filters by any of the supplied status values.
Whether the resource is spam.
Filters resources by unread.
Maximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthAdditional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/conversations"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459", "channel_type": "email", "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2", "status": "archived", "subject": "string", "unread": true, "is_spam": true, "latest_activity_created_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "assignee": { "type": "employee", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "contact": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "inbox": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "name": "string", "description": "string", "emoji": "string" }, "tags": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "color": "string", "description": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ] } ], "next_page_url": "string", "previous_page_url": "string"}